#include <cstdio>
using namespace std;
int main()
{
    int T,n,x,t=0;
    scanf("%d",&T);
    while(T--)
    {
        scanf("%d",&n);
        bool flag=true;
        for(int i=0; i<n; i++)
        {
            scanf("%d",&x);
            if(x%3!=0)
                flag=false;
        }
        printf("Case #%d: %s\n",++t,flag?"Yes":"No");
    }
    return 0;
}
